@ungap/weakset

WeakSet for IE11 and engines with a WeakMap

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
@ungap/weakset
500.2.12 years ago4 years agoMinified + gzip package size for @ungap/weakset in KB

Readme

WeakSet
Build Status Coverage Status Greenkeeper badge WebReflection status
A polyfill for IE11 or browsers that have a WeakMap, but not a WeakSet.
CDN via https://unpkg.com/@ungap/weakset ESM via import WeakSet from '@ungap/weakset' CJS via const WeakSet = require('@ungap/weakset')
Compatible down to IE9, works well with ES5 shim upfront in IE8 (and maybe lower too).
Live test